picard.analysis

## Class TheoreticalSensitivity.RouletteWheel

- java.lang.Object
- - picard.analysis.TheoreticalSensitivity.RouletteWheel

- Enclosing class:
    TheoreticalSensitivity

      public static class TheoreticalSensitivity.RouletteWheel
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `draw()`
    `List<ArrayList<Integer>>` | `sampleCumulativeSums(int maxNumberOfSummands, int sampleSize, boolean withLogging)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### draw

          public int draw()

    - #### sampleCumulativeSums

          public List<ArrayList<Integer>> sampleCumulativeSums(int maxNumberOfSummands,
                                                               int sampleSize,
                                                               boolean withLogging)